<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Hello!</title>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
   
  </head>  
  <body>
	<button id="start-watch-location-button">Start Watching Location</button>
	<div id="results"></div>
	<div id="errors" style="border: 1px solid red;"></div>
	<script>
		function success(pos) {

		}

		function startWatch() {
			id = navigator.geolocation.watchPosition(success, error, {
				enableHighAccuracy: true,
				timeout: 5000,
				maximumAge: 0,
			});
		}

		// document.querySelector('#enable-watch-location').addEventListener('click', startWatch);
@

		let id;
		const resultsEl = document.querySelector('#results');
		const errorsEl = document.querySelector('#errors');

		function success(pos) {
			console.log(pos);
			let infoElArr = [];
			for (const prop in pos.coords) {
				infoElArr.push(`<div>${prop}: ${pos.coords[prop]}</div>`);
			}
			infoElArr.push(`<div>ts: ${pos.timestamp}</div>`)
			resultsEl.innerHTML = infoElArr.join('\n');
			errorsEl.innerHTML = '';
		}

		function error(err) {
			console.warn(err);
			errorsEl.innerHTML = `<pre>${JSON.stringify(err)}</pre>`;@
		}




		const buttonEl = document.querySelector('#start-watch-location-button');
		buttonEl.onclick = (ev) => {
			id = navigator.geolocation.watchPosition(success, error, {
				enableHighAccuracy: true,
				timeout: 5000,
				maximumAge: 0,
			});
		}

	</script>
  </body>
</html>
